Bug 507 - bootloader-utils-0.1-alt2: configuration options are not read correctly (NOLINK & NOLAUNCH)
Summary: bootloader-utils-0.1-alt2: configuration options are not read correctly (NOLI...
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: bootloader-utils (show other bugs)
Version: unstable
Hardware: all Linux
: P4 critical
Assignee: placeholder@altlinux.org
QA Contact:
URL:
Keywords:
: 506 (view as bug list)
Depends on:
Blocks:
 
Reported: 2002-02-02 00:13 MSK by imz
Modified: 2003-08-25 15:18 MSD (History)
10 users (show)

See Also:


Attachments
0000507-installkernel-yesparams.patch (deleted)
2002-02-02 00:13 MSK, imz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description imz 2002-02-02 00:13:56 MSK
The file /etc/sysconfig/installkernel describes the options NOLINK & NOLAUNCH; there is said that one should set them to \"yes\" if he wants to enable them.

But the script /sbin/installkernel doesn\'t treat these values correctly: it expects some arguments like \"-n\" rather than \"yes\" as their values.

As a result /sbin/installkernel doesn\'t work correctly when NOLINK=\"yes\" is set in the config file: it tries to make an InitRD image for the kernel version \"yes\" instead of the real version and fails to do so. So no InitRD is created (even when it is needed) and the installed kernel can\'t be booted.

---
Set NOLINK=\"yes\" in /etc/sysconfig/installkernel and install a kernel that requires InitRD on your system.


---
A patch to fix it is attached.
Comment 1 Dmitry V. Levin 2002-03-15 11:39:17 MSK
Thanks,
applied the patch in
bootloader-utils-0.1-alt4
Comment 2 Dmitry V. Levin 2002-03-15 11:39:17 MSK
Thanks,
applied the patch in
bootloader-utils-0.1-alt4